Package com.sun.jna

## Class ELFAnalyser.ArmAeabiAttributesTag

- java.lang.Object
- - com.sun.jna.ELFAnalyser.ArmAeabiAttributesTag

- Enclosing class:
    ELFAnalyser

      static class ELFAnalyser.ArmAeabiAttributesTag
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ELFAnalyser.ArmAeabiAttributesTag.ParameterType` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_align_needed` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_align8_preserved` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_enum_size` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_FP_16bit_format` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_FP_denormal` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_FP_exceptions` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_FP_number_model` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_FP_optimization_goals` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_FP_rounding` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_FP_user_exceptions` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_HardFP_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_optimization_goals` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_PCS_GOT_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_PCS_R9_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_PCS_RO_data` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_PCS_RW_data` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_PCS_wchar_t` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_VFP_args` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ABI_WMMX_args` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `Advanced_SIMD_arch` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `also_compatible_with` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `ARM_ISA_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `compatibility` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `conformance` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `CPU_arch` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `CPU_arch_profile` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `CPU_name` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `CPU_raw_name` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `CPU_unaligned_access` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `DIV_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `File` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `FP_arch` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `FP_HP_extension` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `MPextension_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `MPextension_use2` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `nodefaults` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `PCS_config` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `Section` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `Symbol` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `T2EE_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `THUMB_ISA_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `Virtualization_use` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `WMMX_arch` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ArmAeabiAttributesTag​(int value, java.lang.String name, ELFAnalyser.ArmAeabiAttributesTag.ParameterType parameterType)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `getByName​(java.lang.String name)` |
    `static ELFAnalyser.ArmAeabiAttributesTag` | `getByValue​(int value)` |
    `java.lang.String` | `getName()` |
    `ELFAnalyser.ArmAeabiAttributesTag.ParameterType` | `getParameterType()` |
    `static java.util.List<ELFAnalyser.ArmAeabiAttributesTag>` | `getTags()` |
    `int` | `getValue()` |
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### File

          public static final ELFAnalyser.ArmAeabiAttributesTag File

    - #### Section

          public static final ELFAnalyser.ArmAeabiAttributesTag Section

    - #### Symbol

          public static final ELFAnalyser.ArmAeabiAttributesTag Symbol

    - #### CPU_raw_name

          public static final ELFAnalyser.ArmAeabiAttributesTag CPU_raw_name

    - #### CPU_name

          public static final ELFAnalyser.ArmAeabiAttributesTag CPU_name

    - #### CPU_arch

          public static final ELFAnalyser.ArmAeabiAttributesTag CPU_arch

    - #### CPU_arch_profile

          public static final ELFAnalyser.ArmAeabiAttributesTag CPU_arch_profile

    - #### ARM_ISA_use

          public static final ELFAnalyser.ArmAeabiAttributesTag ARM_ISA_use

    - #### THUMB_ISA_use

          public static final ELFAnalyser.ArmAeabiAttributesTag THUMB_ISA_use

    - #### FP_arch

          public static final ELFAnalyser.ArmAeabiAttributesTag FP_arch

    - #### WMMX_arch

          public static final ELFAnalyser.ArmAeabiAttributesTag WMMX_arch

    - #### Advanced_SIMD_arch

          public static final ELFAnalyser.ArmAeabiAttributesTag Advanced_SIMD_arch

    - #### PCS_config

          public static final ELFAnalyser.ArmAeabiAttributesTag PCS_config

    - #### ABI_PCS_R9_use

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_PCS_R9_use

    - #### ABI_PCS_RW_data

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_PCS_RW_data

    - #### ABI_PCS_RO_data

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_PCS_RO_data

    - #### ABI_PCS_GOT_use

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_PCS_GOT_use

    - #### ABI_PCS_wchar_t

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_PCS_wchar_t

    - #### ABI_FP_rounding

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_FP_rounding

    - #### ABI_FP_denormal

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_FP_denormal

    - #### ABI_FP_exceptions

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_FP_exceptions

    - #### ABI_FP_user_exceptions

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_FP_user_exceptions

    - #### ABI_FP_number_model

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_FP_number_model

    - #### ABI_align_needed

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_align_needed

    - #### ABI_align8_preserved

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_align8_preserved

    - #### ABI_enum_size

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_enum_size

    - #### ABI_HardFP_use

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_HardFP_use

    - #### ABI_VFP_args

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_VFP_args

    - #### ABI_WMMX_args

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_WMMX_args

    - #### ABI_optimization_goals

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_optimization_goals

    - #### ABI_FP_optimization_goals

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_FP_optimization_goals

    - #### compatibility

          public static final ELFAnalyser.ArmAeabiAttributesTag compatibility

    - #### CPU_unaligned_access

          public static final ELFAnalyser.ArmAeabiAttributesTag CPU_unaligned_access

    - #### FP_HP_extension

          public static final ELFAnalyser.ArmAeabiAttributesTag FP_HP_extension

    - #### ABI_FP_16bit_format

          public static final ELFAnalyser.ArmAeabiAttributesTag ABI_FP_16bit_format

    - #### MPextension_use

          public static final ELFAnalyser.ArmAeabiAttributesTag MPextension_use

    - #### DIV_use

          public static final ELFAnalyser.ArmAeabiAttributesTag DIV_use

    - #### nodefaults

          public static final ELFAnalyser.ArmAeabiAttributesTag nodefaults

    - #### also_compatible_with

          public static final ELFAnalyser.ArmAeabiAttributesTag also_compatible_with

    - #### conformance

          public static final ELFAnalyser.ArmAeabiAttributesTag conformance

    - #### T2EE_use

          public static final ELFAnalyser.ArmAeabiAttributesTag T2EE_use

    - #### Virtualization_use

          public static final ELFAnalyser.ArmAeabiAttributesTag Virtualization_use

    - #### MPextension_use2

          public static final ELFAnalyser.ArmAeabiAttributesTag MPextension_use2

  - ### Constructor Detail

    - #### ArmAeabiAttributesTag

          public ArmAeabiAttributesTag​(int value,
                                       java.lang.String name,
                                       ELFAnalyser.ArmAeabiAttributesTag.ParameterType parameterType)

  - ### Method Detail

    - #### getValue

          public int getValue()

    - #### getName

          public java.lang.String getName()

    - #### getParameterType

          public ELFAnalyser.ArmAeabiAttributesTag.ParameterType getParameterType()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### getTags

          public static java.util.List<ELFAnalyser.ArmAeabiAttributesTag> getTags()

    - #### getByName

          public static ELFAnalyser.ArmAeabiAttributesTag getByName​(java.lang.String name)

    - #### getByValue

          public static ELFAnalyser.ArmAeabiAttributesTag getByValue​(int value)